<?
require($_SERVER['DOCUMENT_ROOT'] . "/system/core.php");
$get = 'error';
if (filter_has_var(INPUT_GET, 'loadPage') === true)
    $get = system:: check($_GET['loadPage']);
/*$path = pathinfo($get);
if (array_key_exists('extension', $path) === true)
    $loadPage = (is_readable(ROOT . "_modules/" . $get) ? $get : 'error');
else*/
    $loadPage = (is_dir(ROOT . "_modules/" . $get . "/") ? $get : 'error');
try {
    $thisPage = $loadPage;
    @require(ROOT . "_modules/{$loadPage}/index.php");
} catch (Exception $e) {
    echo $e;
}
